人力検索はてな
モバイル版を表示しています。PC版はこちら
i-mobile

SQLiteを導入しようと、pearコマンドを使用したのですが、
running: phpize
sh: line 1: phpize: command not found
`phpize' failed
がでてしまいました。
php-develをインストールしたらいいとどこかのサイトに書いてあったので実行してみましたが、: 「パッケージ php-devel が見付かりません」と出てしまいます。

参考となるサイトがあれば教えてください。

目的は「SQLiteが使用できるようになること」なので、php-devel のインストールにはこだわりません。

よろしくお願いします。


●質問者: kappapa
●カテゴリ:コンピュータ ウェブ制作
✍キーワード:Command NOT FOUND Pear PHP phpize
○ 状態 :終了
└ 回答数 : 2/2件

▽最新の回答へ

1 ● technolize
●50ポイント ベストアンサー

どのように利用するのかわかりませんが、Debian をお使いのようなので、その前提で書きます。PHP はバージョン4を想定します。

単純に利用するだけであれば、

sudo aptitude install php4-sqlite php4-sqlite3
のようにすれば大丈夫です。

また、PHP5であれば標準で利用できますし、PDOも使えるのでバージョンアップしてみるのも良いと思います。

ちなみに php-devel というのはRedHat系のパッケージ名だと思います。 Debian には php4-dev という名前で用意されています。

◎質問者からの返答

ありがとうございました。

解決しました。


2 ● toohigh
●20ポイント

pear で機能追加するには、-dev 系のパッケージがけっこうあれこれ必要だったかと思います。

SQLite を使うだけなら php4-sqlite (debian の場合) などのパッケージを追加するだけで OK かと・・。

より具体的なパッケージ名などを知りたい場合は、対象マシンの OS とバージョンを書いておくと良いかと思います。

◎質問者からの返答

ありがとうございました。

関連質問


●質問をもっと探す●



0.人力検索はてなトップ
8.このページを友達に紹介
9.このページの先頭へ
対応機種一覧
お問い合わせ
ヘルプ/お知らせ
ログイン
無料ユーザー登録
はてなトップ